## libjsoncpp 0.6.0~rc2

=== SConstruct ===
"""
Notes: 
- shared library support is buggy: it assumes that a static and dynamic library can be build from the same object files. This is not true on many platforms. For this reason it is only enabled on linux-gcc at the current time.

To add a platform:
- add its name in options allowed_values below
- add tool initialization for this platform. Search for "if platform == 'suncc'" as an example.
"""

import os
import os.path
import sys

JSONCPP_VERSION = open(File('#version').abspath,'rt').read().strip()
DIST_DIR = '#dist'

options = Variables()
options.Add( EnumVariable('platform',
                        'Platform (compiler/stl) used to build the project',
                        'msvc71',
                        allowed_values='suncc vacpp mingw msvc6 msvc7 msvc71 msvc80 msvc90 linux-gcc'.split(),
                        ignorecase=2) )

try:
    platform = ARGUMENTS['platform']
    if platform == 'linux-gcc':
        CXX = 'g++' # not quite right, but env is not yet available.
        import commands
        version = commands.getoutput('%s -dumpversion' %CXX)
        platform = 'linux-gcc-%s' %version
        print "Using platform '%s'" %platform
        LD_LIBRARY_PATH = os.environ.get('LD_LIBRARY_PATH', '')
        LD_LIBRARY_PATH = "%s:libs/%s" %(LD_LIBRARY_PATH, platform)
        os.environ['LD_LIBRARY_PATH'] = LD_LIBRARY_PATH
        print "LD_LIBRARY_PATH =", LD_LIBRARY_PATH
except KeyError:
    print 'You must specify a "platform"'
    sys.exit(2)

print "Building using PLATFORM =", platform

rootbuild_dir = Dir('#buildscons')
build_dir = os.path.join( '#buildscons', platform )
bin_dir = os.path.join( '#bin', platform )
lib_dir = os.path.join( '#libs', platform )
sconsign_dir_path = Dir(build_dir).abspath
sconsign_path = os.path.join( sconsign_dir_path, '.sconsign.dbm' )

# Ensure build directory exist (SConsignFile fail otherwise!)
if not os.path.exists( sconsign_dir_path ):
    os.makedirs( sconsign_dir_path )

# Store all dependencies signature in a database
SConsignFile( sconsign_path )

def make_environ_vars():
	"""Returns a dictionnary with environment variable to use when compiling."""
	# PATH is required to find the compiler
	# TEMP is required for at least mingw
    # LD_LIBRARY_PATH & co is required on some system for the compiler
	vars = {}
	for name in ('PATH', 'TEMP', 'TMP', 'LD_LIBRARY_PATH', 'LIBRARY_PATH'):
		if name in os.environ:
			vars[name] = os.environ[name]
	return vars
	

env = Environment( ENV = make_environ_vars(),
                   toolpath = ['scons-tools'],
                   tools=[] ) #, tools=['default'] )

if platform == 'suncc':
    env.Tool( 'sunc++' )
    env.Tool( 'sunlink' )
    env.Tool( 'sunar' )
    env.Append( CCFLAGS = ['-mt'] )
elif platform == 'vacpp':
    env.Tool( 'default' )
    env.Tool( 'aixcc' )
    env['CXX'] = 'xlC_r'   #scons does not pick-up the correct one !
    # using xlC_r ensure multi-threading is enabled:
    # http://publib.boulder.ibm.com/infocenter/pseries/index.jsp?topic=/com.ibm.vacpp7a.doc/compiler/ref/cuselect.htm
    env.Append( CCFLAGS = '-qrtti=all',
                LINKFLAGS='-bh:5' )  # -bh:5 remove duplicate symbol warning
elif platform == 'msvc6':
    env['MSVS_VERSION']='6.0'
    for tool in ['msvc', 'msvs', 'mslink', 'masm', 'mslib']:
        env.Tool( tool )
    env['CXXFLAGS']='-GR -GX /nologo /MT'
elif platform == 'msvc70':
    env['MSVS_VERSION']='7.0'
    for tool in ['msvc', 'msvs', 'mslink', 'masm', 'mslib']:
        env.Tool( tool )
    env['CXXFLAGS']='-GR -GX /nologo /MT'
elif platform == 'msvc71':
    env['MSVS_VERSION']='7.1'
    for tool in ['msvc', 'msvs', 'mslink', 'masm', 'mslib']:
        env.Tool( tool )
    env['CXXFLAGS']='-GR -GX /nologo /MT'
elif platform == 'msvc80':
    env['MSVS_VERSION']='8.0'
    for tool in ['msvc', 'msvs', 'mslink', 'masm', 'mslib']:
        env.Tool( tool )
    env['CXXFLAGS']='-GR -EHsc /nologo /MT'
elif platform == 'msvc90':
    env['MSVS_VERSION']='9.0'
    # Scons 1.2 fails to detect the correct location of the platform SDK.
    # So we propagate those from the environment. This requires that the
    # user run vcvars32.bat before compiling.
    if 'INCLUDE' in os.environ:
        env['ENV']['INCLUDE'] = os.environ['INCLUDE']
    if 'LIB' in os.environ:
        env['ENV']['LIB'] = os.environ['LIB']
    for tool in ['msvc', 'msvs', 'mslink', 'masm', 'mslib']:
        env.Tool( tool )
    env['CXXFLAGS']='-GR -EHsc /nologo /MT'
elif platform == 'mingw':
    env.Tool( 'mingw' )
    env.Append( CPPDEFINES=[ "WIN32", "NDEBUG", "_MT" ] )
elif platform.startswith('linux-gcc'):
    env.Tool( 'default' )
    env.Append( LIBS = ['pthread'], CCFLAGS = "-Wall" )
    env['SHARED_LIB_ENABLED'] = True
else:
    print "UNSUPPORTED PLATFORM."
    env.Exit(1)

env.Tool('targz')
env.Tool('srcdist')
env.Tool('globtool')

env.Append( CPPPATH = ['#include'],
            LIBPATH = lib_dir )
short_platform = platform
if short_platform.startswith('msvc'):
    short_platform = short_platform[2:]
# Notes: on Windows you need to rebuild the source for each variant
# Build script does not support that yet so we only build static libraries.
# This also fails on AIX because both dynamic and static library ends with
# extension .a.
env['SHARED_LIB_ENABLED'] = env.get('SHARED_LIB_ENABLED', False)
env['LIB_PLATFORM'] = short_platform
env['LIB_LINK_TYPE'] = 'lib'    # static
env['LIB_CRUNTIME'] = 'mt'
env['LIB_NAME_SUFFIX'] = '${LIB_PLATFORM}_${LIB_LINK_TYPE}${LIB_CRUNTIME}'  # must match autolink naming convention
env['JSONCPP_VERSION'] = JSONCPP_VERSION
env['BUILD_DIR'] = env.Dir(build_dir)
env['ROOTBUILD_DIR'] = env.Dir(rootbuild_dir)
env['DIST_DIR'] = DIST_DIR
if 'TarGz' in env['BUILDERS']:
	class SrcDistAdder:
		def __init__( self, env ):
			self.env = env
		def __call__( self, *args, **kw ):
			apply( self.env.SrcDist, (self.env['SRCDIST_TARGET'],) + args, kw )
	env['SRCDIST_BUILDER'] = env.TarGz
else: # If tarfile module is missing
	class SrcDistAdder:
		def __init__( self, env ):
			pass
		def __call__( self, *args, **kw ):
			pass
env['SRCDIST_ADD'] = SrcDistAdder( env )
env['SRCDIST_TARGET'] = os.path.join( DIST_DIR, 'jsoncpp-src-%s.tar.gz' % env['JSONCPP_VERSION'] )
                      
env_testing = env.Clone( )
env_testing.Append( LIBS = ['json_${LIB_NAME_SUFFIX}'] )

def buildJSONExample( env, target_sources, target_name ):
    env = env.Clone()
    env.Append( CPPPATH = ['#'] )
    exe = env.Program( target=target_name,
                       source=target_sources )
    env['SRCDIST_ADD']( source=[target_sources] )
    global bin_dir
    return env.Install( bin_dir, exe )

def buildJSONTests( env, target_sources, target_name ):
    jsontests_node = buildJSONExample( env, target_sources, target_name )
    check_alias_target = env.Alias( 'check', jsontests_node, RunJSONTests( jsontests_node, jsontests_node ) )
    env.AlwaysBuild( check_alias_target )

def buildUnitTests( env, target_sources, target_name ):
    jsontests_node = buildJSONExample( env, target_sources, target_name )
    check_alias_target = env.Alias( 'check', jsontests_node, 
                                    RunUnitTests( jsontests_node, jsontests_node ) )
    env.AlwaysBuild( check_alias_target )

def buildLibrary( env, target_sources, target_name ):
    static_lib = env.StaticLibrary( target=target_name + '_${LIB_NAME_SUFFIX}',
                                    source=target_sources )
    global lib_dir
    env.Install( lib_dir, static_lib )
    if env['SHARED_LIB_ENABLED']:
        shared_lib = env.SharedLibrary( target=target_name + '_${LIB_NAME_SUFFIX}',
                                        source=target_sources )
        env.Install( lib_dir, shared_lib )
    env['SRCDIST_ADD']( source=[target_sources] )

Export( 'env env_testing buildJSONExample buildLibrary buildJSONTests buildUnitTests' )

def buildProjectInDirectory( target_directory ):
    global build_dir
    target_build_dir = os.path.join( build_dir, target_directory )
    target = os.path.join( target_directory, 'sconscript' )
    SConscript( target, build_dir=target_build_dir, duplicate=0 )
    env['SRCDIST_ADD']( source=[target] )


def runJSONTests_action( target, source = None, env = None ):
    # Add test scripts to python path
    jsontest_path = Dir( '#test' ).abspath
    sys.path.insert( 0, jsontest_path )
    data_path = os.path.join( jsontest_path, 'data' )
    import runjsontests
    return runjsontests.runAllTests( os.path.abspath(source[0].path), data_path )

def runJSONTests_string( target, source = None, env = None ):
    return 'RunJSONTests("%s")' % source[0]

import SCons.Action
ActionFactory = SCons.Action.ActionFactory
RunJSONTests = ActionFactory(runJSONTests_action, runJSONTests_string )

def runUnitTests_action( target, source = None, env = None ):
    # Add test scripts to python path
    jsontest_path = Dir( '#test' ).abspath
    sys.path.insert( 0, jsontest_path )
    import rununittests
    return rununittests.runAllTests( os.path.abspath(source[0].path) )

def runUnitTests_string( target, source = None, env = None ):
    return 'RunUnitTests("%s")' % source[0]

RunUnitTests = ActionFactory(runUnitTests_action, runUnitTests_string )

env.Alias( 'check' )

srcdist_cmd = env['SRCDIST_ADD']( source = """
    AUTHORS README.txt SConstruct
    """.split() )
env.Alias( 'src-dist', srcdist_cmd )

buildProjectInDirectory( 'src/jsontestrunner' )
buildProjectInDirectory( 'src/lib_json' )
buildProjectInDirectory( 'src/test_lib_json' )
#print env.Dump()

=== debian/changelog ===
libjsoncpp (0.6.0~rc2-3ubuntu1) trusty; urgency=low

  * Multiarchify the package. Closes: #699765.
  * Add a symbols file.
  * Build using dpkg-buildflags (using debhelper 9 and patched SConstruct).
  * Run the tests (but ignore the test results, upstream writes that not all
    of them pass).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Dec 2013 11:14:39 +0100

libjsoncpp (0.6.0~rc2-3) unstable; urgency=low

  * Bug fix: "ftbfs with GCC-4.7", thanks to Matthias Klose (Closes: #667246).

 -- José Luis Segura Lucas <josel.segura@gmx.es>  Tue, 24 Apr 2012 09:10:15 +0200

libjsoncpp (0.6.0~rc2-2) unstable; urgency=low

  * Bug fix: "jsoncpp headers installed in unexpected location", thanks to
    Jim Garrison (Closes: #650702).

 -- José Luis Segura Lucas <josel.segura@gmx.es>  Fri, 02 Dec 2011 09:12:31 +0100

libjsoncpp (0.6.0~rc2-1) unstable; urgency=low

  * Initial release (Closes: #617325)

 -- José Luis Segura Lucas <josel.segura@gmx.es>  Sun, 24 Oct 2011 13:47:45 +0200

=== debian/control ===
Source: libjsoncpp
Priority: extra
Maintainer: José Luis Segura Lucas <josel.segura@gmx.es>
Uploaders: Cleto Martin <cleto.martin@gmail.com>
Build-Depends: debhelper (>= 9), scons, python, doxygen
Standards-Version: 3.9.5
Section: libs
Homepage: http://jsoncpp.sourceforge.net/

Package: libjsoncpp0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for reading and writing JSON for C++
 jsoncpp is an implementation of a JSON reader and writer in C++. JSON
 (JavaScript Object Notation) is a lightweight data-interchange format
 that it is easy to parse and redeable for human. It is useful for
 building config files, network communications protocols, etc.
 .
 This library provides following features:
 .
 * High-level data structures for collecting data from JSON.
 * Easy-to-use reader and writer.

Package: libjsoncpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libjsoncpp0 (= ${binary:Version}), ${misc:Depends}
Description: Library for reading and writing JSON for C++ (devel files)
 jsoncpp is an implementation of a JSON reader and writer in C++. JSON
 (JavaScript Object Notation) is a lightweight data-interchange format
 that it is easy to parse and redeable for human. It is useful for
 building config files, network communications protocols, etc.
 .
 This library provides following features:
 .
 * High-level data structures for collecting data from JSON.
 * Easy-to-use reader and writer.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=debian/tmp
VERSION=$(shell sed -r s/-rc[0-9]+$$// version)
SOVERSION=$(firstword $(subst ., ,$(VERSION)))
G++VERSION=$(shell g++ -dumpversion)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	scons platform=linux-gcc
	python $(CURDIR)/doxybuild.py --doxygen=/usr/bin/doxygen

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	: # test results are ignored. according to the documentation, not all tests pass
	-scons check platform=linux-gcc
endif

override_dh_auto_clean:
	dh_auto_clean
	scons -c platform=linux-gcc
	$(RM) test/data/test_*_*.actual test/data/test_*_*.actual-rewrite \
		test/data/test_*_*.process-output test/data/test_*_*.rewrite
	find . -iname *.pyc -d | xargs $(RM)
	find . -iname .sconsign.dbm.dblite | xargs $(RM)
	$(RM) -r dist/*
	$(RM) -r doc/doxyfile

override_dh_auto_install:
	dh_auto_install
	install -vd $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
	install -vd $(DESTDIR)/usr/lib/pkgconfig
	install -vd $(DESTDIR)/usr/include/json
	install -v libs/linux-gcc-$(G++VERSION)/libjson_linux-gcc-$(G++VERSION)_libmt.so \
		$(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libjsoncpp.so.$(VERSION)
	ln -sf libjsoncpp.so.$(VERSION) \
		$(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libjsoncpp.so.$(SOVERSION)
	ln -sf libjsoncpp.so.$(SOVERSION) \
		$(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libjsoncpp.so
	install -v libs/linux-gcc-$(G++VERSION)/libjson_linux-gcc-$(G++VERSION)_libmt.a \
		$(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libjsoncpp.a
	install -v -m 0644 debian/pkgconfig/* $(DESTDIR)/usr/lib/pkgconfig
	install -v include/json/* $(DESTDIR)/usr/include/json

	install -d $(DESTDIR)/usr/share/doc/jsoncpp-api-html
	install dist/doxygen/jsoncpp-api-html-$(VERSION)*/* \
		$(DESTDIR)/usr/share/doc/jsoncpp-api-html

=== debian/watch ===
version=3
opts="uversionmangle=s/\.-rc(\d+)$//; s/-rc(\d+$)/~rc$1/" \
  http://sf.net/jsoncpp/jsoncpp-src-(\d+\.\d+\.\d+(-rc\d+)?).tar.gz

## libjsoncpp 0.10.5

=== CMakeLists.txt ===
# vim: et ts=4 sts=4 sw=4 tw=0

CMAKE_MINIMUM_REQUIRED(VERSION 2.8.5)
PROJECT(jsoncpp)
ENABLE_TESTING()

OPTION(JSONCPP_WITH_TESTS "Compile and (for jsoncpp_check) run JsonCpp test executables" ON)
OPTION(JSONCPP_WITH_POST_BUILD_UNITTEST "Automatically run unit-tests as a post build step" ON)
OPTION(JSONCPP_WITH_WARNING_AS_ERROR "Force compilation to fail if a warning occurs" OFF)
OPTION(JSONCPP_WITH_PKGCONFIG_SUPPORT "Generate and install .pc files" ON)
OPTION(JSONCPP_WITH_CMAKE_PACKAGE "Generate and install cmake package files" OFF)
OPTION(BUILD_SHARED_LIBS "Build jsoncpp_lib as a shared library." OFF)
OPTION(BUILD_STATIC_LIBS "Build jsoncpp_lib static library." ON)

# Ensures that CMAKE_BUILD_TYPE is visible in cmake-gui on Unix
IF(NOT WIN32)
    IF(NOT CMAKE_BUILD_TYPE)
        SET(CMAKE_BUILD_TYPE Release CACHE STRING
            "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel Coverage."
            FORCE)
    ENDIF(NOT CMAKE_BUILD_TYPE)
ENDIF(NOT WIN32)

SET(DEBUG_LIBNAME_SUFFIX "" CACHE STRING "Optional suffix to append to the library name for a debug build")
SET(LIB_SUFFIX "" CACHE STRING "Optional arch-dependent suffix for the library installation directory")

SET(RUNTIME_INSTALL_DIR bin
    CACHE PATH "Install dir for executables and dlls")
SET(ARCHIVE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}
    CACHE PATH "Install dir for static libraries")
SET(LIBRARY_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}
    CACHE PATH "Install dir for shared libraries")
SET(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/include
    CACHE PATH "Install dir for headers")
SET(PACKAGE_INSTALL_DIR lib${LIB_SUFFIX}/cmake
    CACHE PATH "Install dir for cmake package config files")
MARK_AS_ADVANCED( RUNTIME_INSTALL_DIR ARCHIVE_INSTALL_DIR INCLUDE_INSTALL_DIR PACKAGE_INSTALL_DIR )

# Set variable named ${VAR_NAME} to value ${VALUE}
FUNCTION(set_using_dynamic_name VAR_NAME VALUE)
    SET( "${VAR_NAME}" "${VALUE}" PARENT_SCOPE)
ENDFUNCTION(set_using_dynamic_name)

# Extract major, minor, patch from version text
# Parse a version string "X.Y.Z" and outputs
# version parts in ${OUPUT_PREFIX}_MAJOR, _MINOR, _PATCH.
# If parse succeeds then ${OUPUT_PREFIX}_FOUND is TRUE.
MACRO(jsoncpp_parse_version VERSION_TEXT OUPUT_PREFIX)
    SET(VERSION_REGEX "[0-9]+\\.[0-9]+\\.[0-9]+(-[a-zA-Z0-9_]+)?")
    IF( ${VERSION_TEXT} MATCHES ${VERSION_REGEX} )
        STRING(REGEX MATCHALL "[0-9]+|-([A-Za-z0-9_]+)" VERSION_PARTS ${VERSION_TEXT})
        LIST(GET VERSION_PARTS 0 ${OUPUT_PREFIX}_MAJOR)
        LIST(GET VERSION_PARTS 1 ${OUPUT_PREFIX}_MINOR)
        LIST(GET VERSION_PARTS 2 ${OUPUT_PREFIX}_PATCH)
        set_using_dynamic_name( "${OUPUT_PREFIX}_FOUND" TRUE )
    ELSE( ${VERSION_TEXT} MATCHES ${VERSION_REGEX} )
        set_using_dynamic_name( "${OUPUT_PREFIX}_FOUND" FALSE )
    ENDIF( ${VERSION_TEXT} MATCHES ${VERSION_REGEX} )
ENDMACRO(jsoncpp_parse_version)

# Read out version from "version" file
#FILE(STRINGS "version" JSONCPP_VERSION)
#SET( JSONCPP_VERSION_MAJOR X )
#SET( JSONCPP_VERSION_MINOR Y )
#SET( JSONCPP_VERSION_PATCH Z )
SET( JSONCPP_VERSION 0.10.5 )
jsoncpp_parse_version( ${JSONCPP_VERSION} JSONCPP_VERSION )
#IF(NOT JSONCPP_VERSION_FOUND)
#    MESSAGE(FATAL_ERROR "Failed to parse version string properly. Expect X.Y.Z")
#ENDIF(NOT JSONCPP_VERSION_FOUND)

MESSAGE(STATUS "JsonCpp Version: ${JSONCPP_VERSION_MAJOR}.${JSONCPP_VERSION_MINOR}.${JSONCPP_VERSION_PATCH}")
# File version.h is only regenerated on CMake configure step
CONFIGURE_FILE( "${PROJECT_SOURCE_DIR}/src/lib_json/version.h.in"
                "${PROJECT_SOURCE_DIR}/include/json/version.h"
                NEWLINE_STYLE UNIX )
CONFIGURE_FILE( "${PROJECT_SOURCE_DIR}/version.in"
                "${PROJECT_SOURCE_DIR}/version"
                NEWLINE_STYLE UNIX )

macro(UseCompilationWarningAsError)
	if ( MSVC )
        # Only enabled in debug because some old versions of VS STL generate
        # warnings when compiled in release configuration.
		set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /WX ")
	endif( MSVC )
endmacro()

# Include our configuration header
INCLUDE_DIRECTORIES( ${jsoncpp_SOURCE_DIR}/include )

if ( MSVC )
    # Only enabled in debug because some old versions of VS STL generate
    # unreachable code warning when compiled in release configuration.
    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /W4 ")
endif( MSVC )

if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # using regular Clang or AppleClang
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Werror -Wall -Wshadow -Wshorten-64-to-32")
elseif ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  # using GCC
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror -Wall -Wshadow -Wextra -pedantic -Wno-long-long")
  # not yet ready for -Wconversion
endif()

IF(JSONCPP_WITH_WARNING_AS_ERROR)
    UseCompilationWarningAsError()
ENDIF(JSONCPP_WITH_WARNING_AS_ERROR)

IF(JSONCPP_WITH_PKGCONFIG_SUPPORT)
	CONFIGURE_FILE(
		"pkg-config/jsoncpp.pc.in"
		"pkg-config/jsoncpp.pc"
		@ONLY)
	INSTALL(FILES "${CMAKE_BINARY_DIR}/pkg-config/jsoncpp.pc"
		DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/pkgconfig")
ENDIF(JSONCPP_WITH_PKGCONFIG_SUPPORT)

IF(JSONCPP_WITH_CMAKE_PACKAGE)
        INSTALL(EXPORT jsoncpp
                DESTINATION ${PACKAGE_INSTALL_DIR}/jsoncpp
                FILE        jsoncppConfig.cmake)
ENDIF(JSONCPP_WITH_CMAKE_PACKAGE)

# Build the different applications
ADD_SUBDIRECTORY( src )

#install the includes
ADD_SUBDIRECTORY( include )

=== debian/changelog ===
libjsoncpp (0.10.5-1) unstable; urgency=medium

  * New Maintainer (Closes: #790151)
  * New upstream release
    - removed upstream applied patch
    - refreshed fuzzy patches
    - d/rules: updated cmake flags to build shared + static lib
  * GCC5 transistion, thanks to Matthias Klose (Closes: #791131)
    - Rename libjsoncpp0 to libjsoncpp0v5, triggered by the libstdc++6
    transition.
    - Add Conflict/Replaces with the old library.
    - Rename libjsoncpp0-dbg to libjsoncpp0v5-dbg.

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Sun, 02 Aug 2015 17:07:20 +0200

libjsoncpp (0.10.2-4) unstable; urgency=medium

  * Team upload
  [ Peter Spiess-Knafl ]
  * Removed broken shlibs file (Closes: #788945)

  [ Rodney Dawes ]
  * debian/patches/fix-double-parsing.patch
    - fix error in parsing doubles (Closes: #788858)
      thanks Michael Terry for submitting the bug in Debian
      and for merging the work.

  [ Gianfranco Costamagna ]
  * patch refresh, and committing double-parsing patch.

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Wed, 17 Jun 2015 10:18:51 +0200

libjsoncpp (0.10.2-3) unstable; urgency=medium

  * Added upstream patch to fix arm build
  * Added patch for using upstream pkg-config files (Closes: #788379)
  * Moved from symbols to shlibs system
  * Added lintian override for -doc package generated by doxygen

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Thu, 11 Jun 2015 11:00:48 +0200

libjsoncpp (0.10.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 27 Apr 2015 00:44:35 +0200

libjsoncpp (0.10.2-1) experimental; urgency=medium

  [ Peter Spiess-Knafl ]
  * New upstream release. Closes: #762330
  * Changed buildsystem to cmake.
  * Added libjsoncpp0-dbg package.
  * Split out documenation into libjsoncpp-doc.
  * Added docbase file.
  * Fixed lintian warnings.
  * Updated upstream contact and changed license to Expat.
  * Added Vcs-Browser field to debian/control.
  * Removed authors from debian/docs.
  * Added breaks/replaces fields for -doc package to debian/control.

  [ Cleto Martín ]
  * Update version pkgconfig file
  * Update watch file to avoid parsing 1.x versions
  * Using debian/copyright machine-readable format
  * Update my email address

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Sat, 18 Apr 2015 15:43:15 +0200

libjsoncpp (0.6.0~rc2-4) UNRELEASED; urgency=medium

  [ Matthias Klose ]
  * Multiarchify the package. Closes: #699765.
  * Add a symbols file.
  * Build using dpkg-buildflags (using debhelper 9 and patched SConstruct).
  * Run the tests (but ignore the test results, upstream writes that not all
    of them pass).

  [ Cleto Martín ]
  * Applying Matthias patch. Thanks!
  * Updating new homepage and uscan.
  * Adding Vcs-Git field at debian/control

 -- Cleto Martín <cleto@debian.org>  Sat, 08 Nov 2014 12:41:04 +0000

=== debian/control ===
Source: libjsoncpp
Priority: extra
Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
Uploaders: Cleto Martín <cleto@debian.org>
Build-Depends: cmake, debhelper (>= 9), doxygen, python, g++ (>= 4:5.2)
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/open-source-parsers/jsoncpp
Vcs-Git: http://anonscm.debian.org/git/collab-maint/libjsoncpp.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/libjsoncpp.git

Package: libjsoncpp0v5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libjsoncpp0
Replaces: libjsoncpp0
Description: library for reading and writing JSON for C++
 jsoncpp is an implementation of a JSON reader and writer in C++. JSON
 (JavaScript Object Notation) is a lightweight data-interchange format
 that it is easy to parse and redeable for human. It is useful for
 building config files, network communications protocols, etc.
 .
 This library provides following features:
 .
 * High-level data structures for collecting data from JSON.
 * Easy-to-use reader and writer.

Package: libjsoncpp0v5-dbg
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libjsoncpp0v5 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Section: debug
Description: debugging symbols for libjsoncpp0
 This package contains the debugging symbols for libjsoncpp0.
 .
 jsoncpp is an implementation of a JSON reader and writer in C++. JSON
 (JavaScript Object Notation) is a lightweight data-interchange format
 that it is easy to parse and redeable for human. It is useful for
 building config files, network communications protocols, etc.
 .
 This library provides following features:
 .
 * High-level data structures for collecting data from JSON.
 * Easy-to-use reader and writer.

Package: libjsoncpp-doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libjsoncpp-dev
Section: doc
Replaces: libjsoncpp-dev (<< 0.10.2-1)
Breaks: libjsoncpp-dev (<< 0.10.2-1)
Description: API documentation for libjsoncpp-dev
 This package contains doxygen generated HTML API description of libjsoncpp0.
 .
 jsoncpp is an implementation of a JSON reader and writer in C++. JSON
 (JavaScript Object Notation) is a lightweight data-interchange format
 that it is easy to parse and redeable for human. It is useful for
 building config files, network communications protocols, etc.
 .
 This library provides following features:
 .
 * High-level data structures for collecting data from JSON.
 * Easy-to-use reader and writer.

Package: libjsoncpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libjsoncpp0v5 (= ${binary:Version}), ${misc:Depends}
Description: library for reading and writing JSON for C++ (devel files)
 This package provides all required developer resources like header-files
 and statically linked version of the library.
 .
 jsoncpp is an implementation of a JSON reader and writer in C++. JSON
 (JavaScript Object Notation) is a lightweight data-interchange format
 that it is easy to parse and redeable for human. It is useful for
 building config files, network communications protocols, etc.
 .
 This library provides following features:
 .
 * High-level data structures for collecting data from JSON.
 * Easy-to-use reader and writer.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --parallel --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
			-DBUILD_SHARED_LIBS=ON \
			-DBUILD_STATIC_LIBS=ON \
			-DCMAKE_INSTALL_PREFIX=/usr \
			-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
			-DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_build-indep:
	python doxybuild.py --doxygen=/usr/bin/doxygen

override_dh_strip:
	dh_strip -plibjsoncpp0v5 --dbg-package=libjsoncpp0v5-dbg

override_dh_auto_clean:
	dh_auto_clean
	rm -rf dist
	rm -f devtools/*.pyc
	rm -f doc/doxyfile
	rm -f doc/*.db

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/archive\/(.+)\.tar\.gz/releases\/download\/$1\/jsoncpp-$1.tar.gz.asc/,filenamemangle=s/.+\/v?(0\.\d\S*)\.tar\.gz/jsoncpp-$1\.tar\.gz/ \
  https://github.com/open-source-parsers/jsoncpp/tags .*/v?(0\.\d\S*)\.tar\.gz

## libjsoncpp 1.7.2

=== debian/changelog ===
libjsoncpp (1.7.2-1) unstable; urgency=medium

  * Team upload.
  [ Peter Spiess-Knafl ]
  * Fix watch file
  * Imported Upstream version 1.7.2 (Closes: #811958)
  * Removed upstream applied and unused patches

  [ Ghislain Vaillant ]
  * Add CI testsuite (Closes: #819378)
  * Simplify multiarch handling (Closes: #819376)
    - removed multiarch patch
    - removed include path patch

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 28 Mar 2016 04:49:21 +0200

libjsoncpp (1.6.5-4) unstable; urgency=medium

  * d/libjsoncpp-dev.install: Remove arch specific cmake file (Closes: #814414)
  * Fix pkg-config file with multi-arch library path

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Fri, 12 Feb 2016 10:50:59 +0100

libjsoncpp (1.6.5-3) unstable; urgency=medium

  * Install jsoncppConfig.cmake to dev package and correct pkgconfig
    multiarch path (Closes: #811430)
  * d/control: Migrate to automatic dbg packages
  * d/control: Sandards-Version bump to 3.9.7, no changes required
  * d/control: remove conflicts/replaces for libjsoncpp1 (Closes: #813939)
  * d/control: use https in Vcs-* fields

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Wed, 10 Feb 2016 21:44:31 +0100

libjsoncpp (1.6.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Wed, 03 Feb 2016 21:23:48 +0100

libjsoncpp (1.6.5-1) experimental; urgency=medium

  * Imported Upstream version 1.6.5
  * d/watch: updated to also receive 1.x releases
  * d/control: updated libjsoncpp0v5* -> libjsoncpp1*
  * d/rules: updated libjsoncpp0v5* -> libjsoncpp1*

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 14 Dec 2015 22:40:42 +0100

=== debian/control ===
--- 
+++ 
@@ -2,40 +2,19 @@
 Priority: extra
 Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
 Uploaders: Cleto Martín <cleto@debian.org>
-Build-Depends: cmake, debhelper (>= 9), doxygen, python, g++ (>= 4:5.2)
-Standards-Version: 3.9.6
+Testsuite: autopkgtest
+Build-Depends: cmake, debhelper (>= 9), doxygen, python
+Standards-Version: 3.9.7
 Section: libs
 Homepage: https://github.com/open-source-parsers/jsoncpp
-Vcs-Git: http://anonscm.debian.org/git/collab-maint/libjsoncpp.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/libjsoncpp.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libjsoncpp.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libjsoncpp.git
 
-Package: libjsoncpp0v5
+Package: libjsoncpp1
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libjsoncpp0
-Replaces: libjsoncpp0
 Description: library for reading and writing JSON for C++
- jsoncpp is an implementation of a JSON reader and writer in C++. JSON
- (JavaScript Object Notation) is a lightweight data-interchange format
- that it is easy to parse and redeable for human. It is useful for
- building config files, network communications protocols, etc.
- .
- This library provides following features:
- .
- * High-level data structures for collecting data from JSON.
- * Easy-to-use reader and writer.
-
-Package: libjsoncpp0v5-dbg
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libjsoncpp0v5 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Section: debug
-Description: debugging symbols for libjsoncpp0
- This package contains the debugging symbols for libjsoncpp0.
- .
  jsoncpp is an implementation of a JSON reader and writer in C++. JSON
  (JavaScript Object Notation) is a lightweight data-interchange format
  that it is easy to parse and redeable for human. It is useful for
@@ -70,7 +49,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libjsoncpp0v5 (= ${binary:Version}), ${misc:Depends}
+Depends: libjsoncpp1 (= ${binary:Version}), ${misc:Depends}
 Description: library for reading and writing JSON for C++ (devel files)
  This package provides all required developer resources like header-files
  and statically linked version of the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --parallel --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
			-DBUILD_SHARED_LIBS=ON \
			-DBUILD_STATIC_LIBS=ON \
			-DJSONCPP_WITH_CMAKE_PACKAGE=ON \
			-DLIB_SUFFIX="/$(DEB_TARGET_MULTIARCH)" \
			-DINCLUDE_INSTALL_DIR=/usr/include/jsoncpp

override_dh_auto_build-indep:
	python doxybuild.py --doxygen=/usr/bin/doxygen

override_dh_auto_clean:
	dh_auto_clean
	rm -rf dist
	rm -f devtools/*.pyc
	rm -f doc/doxyfile
	rm -f doc/*.db

=== debian/watch ===
version=3
https://github.com/open-source-parsers/jsoncpp/releases /open-source-parsers/jsoncpp/archive/(.+)\.tar\.gz

## libjsoncpp 1.7.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
 OPTION(JSONCPP_WITH_TESTS "Compile and (for jsoncpp_check) run JsonCpp test executables" ON)
 OPTION(JSONCPP_WITH_POST_BUILD_UNITTEST "Automatically run unit-tests as a post build step" ON)
 OPTION(JSONCPP_WITH_WARNING_AS_ERROR "Force compilation to fail if a warning occurs" OFF)
+OPTION(JSONCPP_WITH_STRICT_ISO "Issue all the warnings demanded by strict ISO C and ISO C++" ON)
 OPTION(JSONCPP_WITH_PKGCONFIG_SUPPORT "Generate and install .pc files" ON)
 OPTION(JSONCPP_WITH_CMAKE_PACKAGE "Generate and install cmake package files" OFF)
 OPTION(BUILD_SHARED_LIBS "Build jsoncpp_lib as a shared library." OFF)
@@ -18,19 +19,19 @@
         SET(CMAKE_BUILD_TYPE Release CACHE STRING
             "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel Coverage."
             FORCE)
-    ENDIF(NOT CMAKE_BUILD_TYPE)
-ENDIF(NOT WIN32)
+    ENDIF()
+ENDIF()
 
 SET(DEBUG_LIBNAME_SUFFIX "" CACHE STRING "Optional suffix to append to the library name for a debug build")
 SET(LIB_SUFFIX "" CACHE STRING "Optional arch-dependent suffix for the library installation directory")
 
 SET(RUNTIME_INSTALL_DIR bin
     CACHE PATH "Install dir for executables and dlls")
-SET(ARCHIVE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}
+SET(ARCHIVE_INSTALL_DIR lib${LIB_SUFFIX}
     CACHE PATH "Install dir for static libraries")
-SET(LIBRARY_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}
+SET(LIBRARY_INSTALL_DIR lib${LIB_SUFFIX}
     CACHE PATH "Install dir for shared libraries")
-SET(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/include
+SET(INCLUDE_INSTALL_DIR include
     CACHE PATH "Install dir for headers")
 SET(PACKAGE_INSTALL_DIR lib${LIB_SUFFIX}/cmake
     CACHE PATH "Install dir for cmake package config files")
@@ -39,7 +40,7 @@
 # Set variable named ${VAR_NAME} to value ${VALUE}
 FUNCTION(set_using_dynamic_name VAR_NAME VALUE)
     SET( "${VAR_NAME}" "${VALUE}" PARENT_SCOPE)
-ENDFUNCTION(set_using_dynamic_name)
+ENDFUNCTION()
 
 # Extract major, minor, patch from version text
 # Parse a version string "X.Y.Z" and outputs
@@ -55,19 +56,20 @@
         set_using_dynamic_name( "${OUPUT_PREFIX}_FOUND" TRUE )
     ELSE( ${VERSION_TEXT} MATCHES ${VERSION_REGEX} )
         set_using_dynamic_name( "${OUPUT_PREFIX}_FOUND" FALSE )
-    ENDIF( ${VERSION_TEXT} MATCHES ${VERSION_REGEX} )
-ENDMACRO(jsoncpp_parse_version)
+    ENDIF()
+ENDMACRO()
 
 # Read out version from "version" file
 #FILE(STRINGS "version" JSONCPP_VERSION)
 #SET( JSONCPP_VERSION_MAJOR X )
 #SET( JSONCPP_VERSION_MINOR Y )
 #SET( JSONCPP_VERSION_PATCH Z )
-SET( JSONCPP_VERSION 0.10.5 )
+SET( JSONCPP_VERSION 1.7.4 )
 jsoncpp_parse_version( ${JSONCPP_VERSION} JSONCPP_VERSION )
 #IF(NOT JSONCPP_VERSION_FOUND)
 #    MESSAGE(FATAL_ERROR "Failed to parse version string properly. Expect X.Y.Z")
 #ENDIF(NOT JSONCPP_VERSION_FOUND)
+SET( JSONCPP_USE_SECURE_MEMORY "0" CACHE STRING "-D...=1 to use memory-wiping allocator for STL" )
 
 MESSAGE(STATUS "JsonCpp Version: ${JSONCPP_VERSION_MAJOR}.${JSONCPP_VERSION_MINOR}.${JSONCPP_VERSION_PATCH}")
 # File version.h is only regenerated on CMake configure step
@@ -83,7 +85,12 @@
         # Only enabled in debug because some old versions of VS STL generate
         # warnings when compiled in release configuration.
 		set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /WX ")
-	endif( MSVC )
+  elseif (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
+    if (JSONCPP_WITH_STRICT_ISO)
+      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic-errors")
+    endif ()
+	endif()
 endmacro()
 
 # Include our configuration header
@@ -93,35 +100,52 @@
     # Only enabled in debug because some old versions of VS STL generate
     # unreachable code warning when compiled in release configuration.
     set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /W4 ")
-endif( MSVC )
+endif()
 
 if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
   # using regular Clang or AppleClang
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Werror -Wall -Wshadow -Wshorten-64-to-32")
-elseif ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Wconversion -Wshadow -Werror=conversion -Werror=sign-compare")
+elseif (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
   # using GCC
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror -Wall -Wshadow -Wextra -pedantic -Wno-long-long")
-  # not yet ready for -Wconversion
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Wconversion -Wshadow -Wextra")
+  # not yet ready for -Wsign-conversion
+
+  if (JSONCPP_WITH_STRICT_ISO AND NOT JSONCPP_WITH_WARNING_AS_ERROR)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror=conversion -pedantic")
+  endif ()
+elseif (CMAKE_CXX_COMPILER_ID STREQUAL "Intel")
+  # using Intel compiler
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Wconversion -Wshadow -Wextra -Werror=conversion")
+
+  if (JSONCPP_WITH_STRICT_ISO AND NOT JSONCPP_WITH_WARNING_AS_ERROR)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")
+  endif ()
 endif()
+
+find_program(CCACHE_FOUND ccache)
+if(CCACHE_FOUND)
+    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
+    set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
+endif(CCACHE_FOUND)
 
 IF(JSONCPP_WITH_WARNING_AS_ERROR)
     UseCompilationWarningAsError()
-ENDIF(JSONCPP_WITH_WARNING_AS_ERROR)
+ENDIF()
 
 IF(JSONCPP_WITH_PKGCONFIG_SUPPORT)
 	CONFIGURE_FILE(
 		"pkg-config/jsoncpp.pc.in"
 		"pkg-config/jsoncpp.pc"
 		@ONLY)
-	INSTALL(FILES "${CMAKE_BINARY_DIR}/pkg-config/jsoncpp.pc"
+	INSTALL(FILES "${CMAKE_CURRENT_BINARY_DIR}/pkg-config/jsoncpp.pc"
 		DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/pkgconfig")
-ENDIF(JSONCPP_WITH_PKGCONFIG_SUPPORT)
+ENDIF()
 
 IF(JSONCPP_WITH_CMAKE_PACKAGE)
         INSTALL(EXPORT jsoncpp
                 DESTINATION ${PACKAGE_INSTALL_DIR}/jsoncpp
                 FILE        jsoncppConfig.cmake)
-ENDIF(JSONCPP_WITH_CMAKE_PACKAGE)
+ENDIF()
 
 # Build the different applications
 ADD_SUBDIRECTORY( src )

=== debian/changelog ===
libjsoncpp (1.7.4-3.1ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2020 13:28:13 +0100

libjsoncpp (1.7.4-3.1ubuntu1) focal; urgency=medium

  * Make autopkgtests cross-test-friendly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 31 Jan 2020 13:40:49 -0800

libjsoncpp (1.7.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port build system to use Python 3 (Closes: #936882)

 -- Aron Xu <aron@debian.org>  Fri, 24 Jan 2020 12:32:52 +0000

libjsoncpp (1.7.4-3) unstable; urgency=medium

  * Add patch to fix pkg-config file

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Tue, 23 Aug 2016 11:09:02 +0200

libjsoncpp (1.7.4-2) unstable; urgency=medium

  * Disable symbols file, too many build failures on other arch
  * d/rules: Added shlibs minimum version (Closes: #820434)

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Tue, 23 Aug 2016 10:44:07 +0200

libjsoncpp (1.7.4-1) unstable; urgency=medium
  * Team upload.
  * New upstream version (Closes: #835092)
  [ Helmut Grohne]
  * Fix FTCBFS: (Closes: #824529)
    * Annotate Build-Depends: python with :any.
    * Support DEB_BUILD_OPTIONS=nocheck.

  [ Peter Spiess-Knafl ]
  * d/control: Bump Standards-Version to 3.9.8: no changes required
  * d/changelog: Fix spelling error in changelog

  [ Stephen Kitt ]
  * Added basic version of d/libjsoncpp1.symbols

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 22 Aug 2016 17:44:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: libjsoncpp
 Priority: extra
-Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
 Uploaders: Cleto Martín <cleto@debian.org>
 Testsuite: autopkgtest
-Build-Depends: cmake, debhelper (>= 9), doxygen, python
-Standards-Version: 3.9.7
+Build-Depends: cmake, debhelper (>= 9), doxygen, python3:any
+Standards-Version: 3.9.8
 Section: libs
 Homepage: https://github.com/open-source-parsers/jsoncpp
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/libjsoncpp.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --parallel --buildsystem=cmake

ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
CONFIGURE_FLAGS += -DJSONCPP_WITH_TESTS=Off
endif

override_dh_auto_configure:
	dh_auto_configure -- \
			-DBUILD_SHARED_LIBS=ON \
			-DBUILD_STATIC_LIBS=ON \
			-DJSONCPP_WITH_CMAKE_PACKAGE=ON \
			-DLIB_SUFFIX="/$(DEB_TARGET_MULTIARCH)" \
			-DINCLUDE_INSTALL_DIR=/usr/include/jsoncpp \
			$(CONFIGURE_FLAGS)

override_dh_auto_build-indep:
	python3 doxybuild.py --doxygen=/usr/bin/doxygen

override_dh_makeshlibs:
	dh_makeshlibs -V "libjsoncpp1 (>= 1.7.4)"

override_dh_auto_clean:
	dh_auto_clean
	rm -rf dist
	rm -f devtools/*.pyc
	rm -f doc/doxyfile
	rm -f doc/*.db

## libjsoncpp 1.8.4

=== debian/changelog ===
libjsoncpp (1.8.4-1) experimental; urgency=medium

  * New upstream version 1.8.4 (Closes: #886758)
  * Removed Cleto from Uploaders due to MIA (Closes: #846290)
  * Removed upstream applied patches
  * Removed upstream signing key, because upstream is no longer using it
  * Adapt package names to reflect new soname
  * Move doxygen to Build-Depends-Indep (Closes: #870283)
  * Fix typo in package description (Closes: #858107)
  * Removed override for dh_makeshlibs
  * Point Vcs-* entries to salsa.d.o
  * Updated to debhelper 11
  * Changed -doc package to Multi-Arch foreign
  * Updated to Standards-Version 4.2.1
    * changed package priority from extra to optional

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Tue, 25 Sep 2018 19:01:40 +0200

=== debian/control ===
Source: libjsoncpp
Priority: optional
Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
Build-Depends: cmake, debhelper (>= 11), python:any
Build-Depends-Indep: doxygen
Standards-Version: 4.2.1
Section: libs
Homepage: https://github.com/open-source-parsers/jsoncpp
Vcs-Git: https://salsa.debian.org/debian/libjsoncpp.git
Vcs-Browser: https://salsa.debian.org/debian/libjsoncpp

Package: libjsoncpp19
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for reading and writing JSON for C++
 jsoncpp is an implementation of a JSON reader and writer in C++. JSON
 (JavaScript Object Notation) is a lightweight data-interchange format
 that it is easy to parse and redable for human. It is useful for
 building config files, network communications protocols, etc.
 .
 This library provides following features:
 .
 * High-level data structures for collecting data from JSON.
 * Easy-to-use reader and writer.

Package: libjsoncpp-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: libjsoncpp-dev
Section: doc
Replaces: libjsoncpp-dev (<< 0.10.2-1)
Breaks: libjsoncpp-dev (<< 0.10.2-1)
Description: API documentation for libjsoncpp-dev
 This package contains doxygen generated HTML API description of libjsoncpp0.
 .
 jsoncpp is an implementation of a JSON reader and writer in C++. JSON
 (JavaScript Object Notation) is a lightweight data-interchange format
 that it is easy to parse and readable for human. It is useful for
 building config files, network communications protocols, etc.
 .
 This library provides following features:
 .
 * High-level data structures for collecting data from JSON.
 * Easy-to-use reader and writer.

Package: libjsoncpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libjsoncpp19 (= ${binary:Version}), ${misc:Depends}
Description: library for reading and writing JSON for C++ (devel files)
 This package provides all required developer resources like header-files
 and statically linked version of the library.
 .
 jsoncpp is an implementation of a JSON reader and writer in C++. JSON
 (JavaScript Object Notation) is a lightweight data-interchange format
 that it is easy to parse and readable for human. It is useful for
 building config files, network communications protocols, etc.
 .
 This library provides following features:
 .
 * High-level data structures for collecting data from JSON.
 * Easy-to-use reader and writer.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=cmake

ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
CONFIGURE_FLAGS += -DJSONCPP_WITH_TESTS=Off
endif

override_dh_auto_configure:
	dh_auto_configure -- \
			-DBUILD_SHARED_LIBS=ON \
			-DBUILD_STATIC_LIBS=ON \
			-DJSONCPP_WITH_CMAKE_PACKAGE=ON \
			-DCMAKE_INSTALL_INCLUDEDIR=/usr/include/jsoncpp
			$(CONFIGURE_FLAGS)

override_dh_auto_build-indep:
	python doxybuild.py --doxygen=/usr/bin/doxygen

override_dh_auto_clean:
	dh_auto_clean
	rm -rf dist
	rm -f devtools/*.pyc
	rm -f doc/doxyfile
	rm -f doc/*.db
